
Redmine - Feature #8530

use login and password instead of "api access key" in REST API

2011-06-04 21:51 - Alex Last

Status: Closed Start date: 2011-06-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

this request is extracted from #8529

it would be great if REST API supported the concept of "login" so that REST users would be able to "login" through REST API using

their login&password (instead of API access key!) and then they'd receive some "session key" they could use temporarily for this

session.

See how the same mechanism is implemented in Atlassian Jira remote API.

This would simplify the REST API usage in various UIs (people are often confused about "api access key", they want to use their

login&password). Just imagine how inconvenient it is to type an API access key in Redmine Android client on a phone screen!

History

#1 - 2011-06-04 23:49 - Alex Last

- Status changed from New to Resolved

never mind, I see BASIC http auth is already supported properly for REST API (it wasn't the case ~6 months ago).

#2 - 2011-06-05 10:54 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
